[blfs-support] pcre-8.30

Andrew Benton b3nton at gmail.com
Sun Feb 12 16:20:46 PST 2012


On Sun, 12 Feb 2012 21:35:12 +0000
Ken Moffat <zarniwhoop at ntlworld.com> wrote:

>  With respect, it's grep.  The change to libpcre.so.1 has apparently
> broken booting for those who upgrade existing systems without
> recompiling grep.  I thought LFS used to have a warning about this,
> but all I can see is the comment on --disable-perlregexp in (7.0)
> chapter 5.
> 
>  The LFS bootscripts use grep in the cleanfs and console scripts,
> so runlevel 3 is apparently broken.

... if you use the paco pack manager. If you read the original email
this happened because he uses paco. I installed pcre-8.30 and grep
continued to work fine (it was built against pcre-8.12). I don't think
there is a problem with the book.

Andy



More information about the blfs-support mailing list